TurboTax FAQ
TurboTax FAQ
43 people found this useful

What happens if I install TurboTax 2016 on Mac OS X 10.9 or 10.10?

You can still install and use TurboTax 2016 on Mac OS X v10.9.5 (Mavericks) or v10.10.5 (Yosemite).

However, TurboTax might not run as well as it would on El Capitan (OS X v10.11) or later, and your computer may not be adequately protected from the latest viruses or other security risks.

We will continue to support TurboTax 2016 installed on Mavericks or Yosemite, unless the problem is solely attributable to the operating system itself.


GEN88066